Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.inOut
Class C_FileClassLoader

    java.lang.Object
      java.lang.ClassLoader
          de.farafin.snEADy.inOut.C_FileClassLoader

All Implemented Interfaces:
  I_Constants

    public final class C_FileClassLoader

extends java.lang.ClassLoader
implements I_Constants

Laedt JAVA-Klassen aus einen anzugebenden Verzeichnis. Stammt aus den Sun JAVA-Tutorien. see Utils#loadHamster(java.lang.String, algds.c2002.Logable, boolean)

Version:
  $Revision: 1.7 $
Author:
  roland, lars (nur nachbearbeitung, Stammt aus den Sun JAVA-Tutorien)

Field Summary
`private java.lang.String` | `root` Comment for `root`

Fields inherited from interface de.farafin.snEADy.communication.I_Constants
`analyse_ms, auto_grow_delay, auto_slowdown_delay, autogamespeed, closemonitor, damage_length_grow, damage_points_radius, DEBUG, delplayer, easy_points, ejectreplay, emergencyPause, exit_time, FACE_EAST, FACE_NORTH, FACE_SOUTH, FACE_WEST, game_end, goody_length_occ, goody_length_value, goody_points_occ, goody_points_value, goody_shorter_occ, goody_shorter_value, goody_slowdown_occ, goody_speed_occ, IN_ACTION, IN_ERROR_EXC, IN_ERROR_INIT, IN_ERROR_SPACE, IN_ERROR_TIME, IN_EXIT, IN_HEAVEN, init_length, init_move_delay, kill, kill_point_goodies, kill_points_radius, loaddummy, loadhuman, loadlevel, loadplayer, loadscript, logging, max_goody_occ_delay, MAX_HUMAN_PLAYERS, max_mem_check_delay, max_move_delay, max_player_mem, MAX_PLAYERS, max_thinking_ms, memkill, min_cycle_ms, min_move_delay, MOVE_EAST, MOVE_NORTH, MOVE_SOUTH, MOVE_WEST, openmonitor, overalldelay, pause, player_controlling, print_calc_ms, print_parameter, print_player_mem, print_playfield, quit, record, recordname, replay, replay_reverse, replay_stepwidth, replay_stepwise, run, set, show_subcycles, start, stop, suddend_time, survival_points, timekill, tolerance_ms, TURN_LEFT, TURN_NONE, TURN_RIGHT`

Constructor Summary
`C_FileClassLoader(java.lang.String rootDir)`

Method Summary
`java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`private byte[]` | `loadClassData(java.lang.String filename)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    private java.lang.String root

  Comment for `root`

Constructor Detail

### C_FileClassLoader

    public C_FileClassLoader(java.lang.String rootDir)

Parameters:
  `rootDir` -

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name,
                                     boolean resolve)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `ClassLoader.loadClass(java.lang.String, boolean)`

### loadClassData

    private byte[] loadClassData(java.lang.String filename)
                          throws java.io.IOException

  Parameters:
    `filename` - the filename of the class that should be loaded
  Returns:
    the compleate file as byte array
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD